Bug 1203027 - [abrt] java-1.8.0-openjdk-devel: pthread_cond_wait@@GLIBC_2.3.2(): java killed by SIGABRT
Summary: [abrt] java-1.8.0-openjdk-devel: pthread_cond_wait@@GLIBC_2.3.2(): java kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: java-atk-wrapper
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:368e226d8875a3a656982ce4e9b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 23:37 UTC by Christian Stadelmann
Modified: 2015-12-02 17:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:12:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (58.30 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (80.43 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: dso_list (9.10 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: environ (3.55 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: hs_err.log (75.83 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: maps (47.15 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: open_fds (7.03 KB, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2015-03-17 23:37 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2015-03-17 23:37:07 UTC
Description of problem:
I started the file /netbeans/bin/netbeans from Netbeans 8.0.2 ZIP file available on https://netbeans.org/downloads/start.html?filename=zip/netbeans-8.0.2-201411181905-javase.zip
After accepting the license netbeans crashed.

Version-Release number of selected component:
java-1.8.0-openjdk-devel-1.8.0.31-5.b13.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21.x86_64/bin/java -Djdk.home=/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21.x86_64 -classpath /home/christian/Downloads/netbeans/platform/lib/boot.jar:/home/christian/Downloads/netbeans/platform/lib/org-openide-modules.jar:/home/christian/Downloads/netbeans/platform/lib/org-openide-util.jar:/home/christian/Downloads/netbeans/platform/lib/org-openide-util-lookup.jar:/home/christian/Downloads/netbeans/platform/lib/locale/boot_ja.jar:/home/christian/Downloads/netbeans/platform/lib/locale/boot_pt_BR.jar:/home/christian/Downloads/netbeans/platform/lib/locale/boot_ru.jar:/home/christian/Downloads/netbeans/platform/lib/locale/boot_zh_CN.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-modules_ja.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-modules_pt_BR.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-modules_ru.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-modules_zh_CN.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util_ja.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util-lookup_ja.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util-lookup_pt_BR.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util-lookup_ru.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util-lookup_zh_CN.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util_pt_BR.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util_ru.jar:/home/christian/Downloads/netbeans/platform/lib/locale/org-openide-util_zh_CN.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21.x86_64/lib/dt.jar:/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21.x86_64/lib/tools.jar -Dnetbeans.default_userdir_root=/home/christian/.netbeans -Dnetbeans.running.environment=gnome -Dnetbeans.dirs=/home/christian/Downloads/netbeans/nb:/home/christian/Downloads/netbeans/ergonomics:/home/christian/Downloads/netbeans/ide:/home/christian/Downloads/netbeans/extide:/home/christian/Downloads/netbeans/java:/home/christian/Downloads/netbeans/apisupport:/home/christian/Downloads/netbeans/webcommon:/home/christian/Downloads/netbeans/websvccommon:/home/christian/Downloads/netbeans/enterprise:/home/christian/Downloads/netbeans/mobility:/home/christian/Downloads/netbeans/profiler:/home/christian/Downloads/netbeans/python:/home/christian/Downloads/netbeans/php:/home/christian/Downloads/netbeans/identity:/home/christian/Downloads/netbeans/harness:/home/christian/Downloads/netbeans/cnd:/home/christian/Downloads/netbeans/dlight:/home/christian/Downloads/netbeans/groovy:/home/christian/Downloads/netbeans/extra:/home/christian/Downloads/netbeans/javacard:/home/christian/Downloads/netbeans/javafx: -Dnetbeans.home=/home/christian/Downloads/netbeans/platform -Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade -Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense -Xmx1024m -client -Xss2m -Xms32m -XX:PermSize=32m -Dapple.laf.useScreenMenuBar=true -Dapple.awt.graphics.UseQuartz=true -Dsun.java2d.noddraw=true -Dsun.java2d.dpiaware=true -Dsun.zip.disableMemoryMapping=true -XX:+HeapDumpOnOutOfMemoryError -XX:HeapDumpPath=/home/christian/.netbeans/8.0.2/var/log/heapdump.hprof org.netbeans.Main --cachedir /home/christian/.cache/netbeans/8.0.2 --userdir /home/christian/.netbeans/8.0.2 --branding nb
crash_function: pthread_cond_wait@@GLIBC_2.3.2
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21.x86_64/bin/java
runlevel:       N 5
type:           CCpp
var_log_messages: [System Logs]:\n-- Logs begin at Sa 2014-10-11 21:56:59 CEST, end at Mi 2015-03-18 00:30:55 CET. --

Truncated backtrace:
Thread no. 28 (3 frames)
 #0 pthread_cond_wait@@GLIBC_2.3.2 at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
 #1 Parker::park(bool, long) at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21.x86_64/jre/lib/amd64/server/libjvm.so
 #2 Unsafe_Park at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21.x86_64/jre/lib/amd64/server/libjvm.so

Comment 1 Christian Stadelmann 2015-03-17 23:37:11 UTC
Created attachment 1002979 [details]
File: backtrace

Comment 2 Christian Stadelmann 2015-03-17 23:37:12 UTC
Created attachment 1002980 [details]
File: cgroup

Comment 3 Christian Stadelmann 2015-03-17 23:37:14 UTC
Created attachment 1002981 [details]
File: core_backtrace

Comment 4 Christian Stadelmann 2015-03-17 23:37:16 UTC
Created attachment 1002982 [details]
File: dso_list

Comment 5 Christian Stadelmann 2015-03-17 23:37:17 UTC
Created attachment 1002983 [details]
File: environ

Comment 6 Christian Stadelmann 2015-03-17 23:37:19 UTC
Created attachment 1002984 [details]
File: hs_err.log

Comment 7 Christian Stadelmann 2015-03-17 23:37:20 UTC
Created attachment 1002985 [details]
File: limits

Comment 8 Christian Stadelmann 2015-03-17 23:37:21 UTC
Created attachment 1002986 [details]
File: maps

Comment 9 Christian Stadelmann 2015-03-17 23:37:23 UTC
Created attachment 1002987 [details]
File: open_fds

Comment 10 Christian Stadelmann 2015-03-17 23:37:24 UTC
Created attachment 1002988 [details]
File: proc_pid_status

Comment 11 Deepak Bhole 2015-03-18 16:51:41 UTC
Hi, is this error reproducible?

Comment 12 Christian Stadelmann 2015-03-18 21:09:10 UTC
yes, it is reproducible on multiple machines for netbeans 7.0 through 8.0.2 (the javase .zip bundles). It can be reproduced if (and only if) java-1.8.0-openjdk-accessibility is installed (version: 1:1.8.0.31-5.b13.fc21) which draws a dependency on java-atk-wrapper (version 0:0.30.4-6.fc21).

Comment 13 Deepak Bhole 2015-03-18 21:13:59 UTC
Thanks Christian!

Hi Mario -- looks like this may be another atk related issue that needs investigating. Have you seen it before?

Comment 14 Mario Torre 2015-03-30 11:16:20 UTC
I didn't see exactly this before, but from the dump it seems to be indeed another weird thing going on in the atk wrapper.

And of course, if removing the package does "fix" the problem it makes it even more likely...

Btw, the java bridge is only a symlink, the real package is java-atk-wrapper.

I'm moving this bug to the java-atk-wrapper since it's quite unlikely this is a java issue. If I find it's indeed openjdk related I'll change it back later.

Comment 15 Fedora End Of Life 2015-11-04 12:52:16 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-12-02 10:12:40 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.